# LightHub: streamlog.h File Reference

streamlog.h File Reference
`#include <Print.h>`
`#include <HardwareSerial.h>`
`#include <inttypes.h>`
Include dependency graph for streamlog.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Streamlog

## Macros

#define | LOGBUFFER_SIZE 80
#define | LOG_DEBUG 7
#define | LOG_INFO 6
#define | LOG_ERROR 3

## Macro Definition Documentation

## LOG_DEBUG

#define LOG_DEBUG 7

## LOG_ERROR

#define LOG_ERROR 3

## LOG_INFO

#define LOG_INFO 6

## LOGBUFFER_SIZE

#define LOGBUFFER_SIZE 80